DNF5-NEEDS-RESTARTING(8)

BEZEICHNUNG
dnf5-needs-restarting - Needs-restarting-Befehl

ÜBERSICHT

dnf5 needs-restarting [-p | --processes [-e | --exclude-services]] [-s | --services] [-r | --reboothint] [--json]

BESCHREIBUNG

Der needs-restarting-Befehl bestimmt, ob das System neu gestartet werden soll, um Änderungen aus Paketinstallationen und -aktualisierungen vollständig zu übernehmen. Ohne Optionen meldet dnf5 needs-restarting, ob seit dem Systemstart wichtige Pakete installiert oder aktualisiert wurden. Zu diesen wichtigen Paketen gehören der Kernel, systemd, alle hier aufgeführten Pakete: <https://access.redhat.com/solutions/27943> und alle Pakete, die mit dem Hinweis reboot_suggested gekennzeichnet sind.

Der needs-restarting-Befehl wird mit Code 1 beendet, wenn ein Neustart empfohlen wird oder wenn ein systemd(1)-Dienst neu gestartet werden muss (wenn er mit --services aufgerufen wird). Wenn keine Aktion empfohlen wird, wird needs-restarting mit Code 0 beendet.

OPTIONEN

    -p, --processes
        listet Prozesse auf, die neu gestartet werden müssen. Wenn das Paket, das das laufende Programm bereitstellt, oder dessen Abhängigkeiten seit dem Start des Prozesses aktualisiert wurden, wird ein Neustart des Prozesses empfohlen.

    -e, --exclude-services
        wird mit der Option -p, --processes verwendet und filtert alle Prozesse heraus, die durch Systemd-Dienste gehandhabt werden.

    -s, --services
        listet systemd-Dienste auf, die neu gestartet werden müssen. Wenn das Paket, das den Dienst bereitstellt, oder dessen Abhängigkeiten seit dem Start des Dienstes aktualisiert wurden, wird ein Neustart des Dienstes empfohlen. Beachten Sie, dass dieser Ansatz recht aggressiv ist und auch dann einen Neustart empfiehlt, wenn dieser nicht unbedingt erforderlich wäre.

    -r, --reboothint
        ist wirkungslos und wird nur aus Gründen der Kompatibilität zu DNF 4 beibehalten. »dnf4 needs-restarting -r« bietet dieselbe Funktionalität wie »dnf5 needs-restarting«.

    --json
        fordert das JSON-Ausgabeformat für maschinenlesbare Ergebnisse an.

JSON-AUSGABE

    •   dnf5 needs-restarting --json

Dieser Befehl gibt ein JSON-Feld zurück, das ein einzelnes Objekt mit dem Neustart-Hinweis zurückgibt. Das Objekt enthält die folgenden Felder:

            •   type (Zeichenkette) – Typ der Ausgabe, immer »reboot«.

            •   reboot_required (boolesch) – gibt an, ob ein Neustart erforderlich ist.

            •   packages (Feld aus Zeichenketten) – Liste der Pakete, die seit dem letzten Systemstart aktualisiert wurden.

            •   documentation (Zeichenkette) – Verweis auf die Dokumentation, die einen erforderlichen Neustart erklärt.

    •   dnf5 needs-restarting --services --json

Dieser Befehl gibt ein JSON-Feld mit Objekten zurück, wovon jedes einen systemd(1)-Dienst beschreibt, der neu gestartet werden muss. Jedes Objekt enthält die folgenden Felder:

            •   type (Zeichenkette) – Typ der Ausgabe, immer »unit«.

            •   unit (Zeichenkette) – Name des systemd-Dienstes.

    •   dnf5 needs-restarting --processes --json

Dieser Befehl gibt ein JSON-Feld mit Objekten zurück, wovon jedes einen laufenden Prozess beschreibt, der neu gestartet werden muss. Jedes Objekt enthält die folgenden Felder:

            •   type (Zeichenkette) – Typ der Ausgabe, immer »process«.

            •   pid (Ganzzahl) – Prozess-ID.

            •   cmdline (Feld aus Zeichenketten) – Befehlszeile des Prozesses.

            •   package (Zeichenkette) – Paket, welches die ausführbare Datei bereitstellt.

Die Option --json kann mit --exclude-services kombiniert werden, wenn --processes verwendet wird, um Prozesse zu filtern, die von systemd-Diensten verwaltet werden (zum Beispiel dnf5 needs-restarting --processes --exclude-services --json).

Bei leeren Ergebnissen für Dienste oder Prozesse geben die Befehle [] zurück. Bei Neustarthinweisen gibt der Befehl, auch wenn kein Neustart empfohlen wird, ein JSON-Feld zurück, das ein einzelnes Objekt mit reboot_required auf false gesetzt, ein leeres Feld von packages und den documentation-Link enthält.

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).